Bug 1660434 - Available version is 0.93.1, Dec. 24, 2014, current version is 0.94.2, Sep. 12, 2018.
Summary: Available version is 0.93.1, Dec. 24, 2014, current version is 0.94.2, Sep. 1...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: shutter
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 10:19 UTC by ricky.tigg
Modified: 2019-12-13 16:08 UTC (History)
2 users (show)

Fixed In Version: shutter-0.94.3-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 16:08:36 UTC


Attachments (Terms of Use)

Description ricky.tigg 2018-12-18 10:19:56 UTC
Description: available version is 0.93.1, Dec. 24, 2014 – shutter-0.93.1-11.fc29.src.rpm – while current version is 0.94.2, Sep. 12, 2018.

Additional info: at page http://shutter-project.org/downloads/third-party-packages/ link pointing to https://admin.fedoraproject.org/pkgdb/acls/name/shutter has became obsolete. An up-to-date repository source is hosted at https://dl.fedoraproject.org/pub/fedora/linux/updates/. Last source code is even missing from maintainer's site at http://shutter-project.org/wp-content/uploads/releases/tars/.

Comment 1 Ben Cotton 2019-10-31 20:17:48 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Update System 2019-12-09 14:28:01 UTC
FEDORA-2019-973addd47d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-973addd47d

Comment 3 Fedora Update System 2019-12-10 18:47:16 UTC
shutter-0.94.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-973addd47d

Comment 4 Fedora Update System 2019-12-11 02:06:12 UTC
shutter-0.94.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 ricky.tigg 2019-12-11 12:14:20 UTC
Tested on Gnome, on both Wayland and X servers.
Hey. Application fails to launch from both GUI and CLI.

$ shutter
"glob" is not exported by the File::Glob module
Can't continue after import errors at /usr/bin/shutter line 57.
BEGIN failed--compilation aborted at /usr/bin/shutter line 57.

Comment 6 ricky.tigg 2019-12-13 16:08:36 UTC
System was rebooted since previous comment: now it started.


Note You need to log in before you can comment on or make changes to this bug.